Bug 53549 - Upgrade to 2.4.3-12 causes modem to be unrecognized
Upgrade to 2.4.3-12 causes modem to be unrecognized
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-11 07:30 EDT by stew schneider
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stew schneider 2001-09-11 07:30:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; formatpb)

Description of problem:
My Actiontec call waiting modem with Lucent chips was recognized until I 
upgraded to 2.4.3-12. It works in a Windows machine, and works if I nuke 
the disk and reinstall from CDROM. Upgrades, (I've done two) however, make 
it disappear. cat /proc/pci recognizes the Lucent chips. dmesg sees a 
16550A on ttyS00. It also sees it if I remove the modem from the box, 
however.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install 7.1 from "Redhat Linux Bible" CD's
2.Upgrade kernel to 2.4.3-12 via update agent
3.Reboot
	

Actual Results:  wvdial could not locate the modem. kppp could not locate 
the modem, or reported it as busy.

Additional info:

The fact that dmesg still reported the modem even after I removed it, and 
references ttyS00 may be significant. I'm a newbie and don't know.
Comment 1 Arjan van de Ven 2001-09-11 08:08:49 EDT
Can you paste a "lsmod" output from the old working kernel so that I can see which
of the serial drivers is involved in this ? Thanks.
Comment 2 stew schneider 2001-09-11 15:41:25 EDT
lsmod: (after upgrade to 2.4.3-12) 
Module                  Size  Used by
nls_iso8859-1           2880   1  (autoclean)
nls_cp437               4384   1  (autoclean)
vfat                    9008   1  (autoclean)
fat                    30592   0  (autoclean) [vfat]
autofs                  9152   1  (autoclean)
3c59x                  24352   1  (autoclean)
ipchains               29536   0  (unused)
usb-uhci               20208   0  (unused)
usbcore                48352   1  [usb-uhci]

dmesg reports only ttyS00 at 0x3f8 (irq - 4) is a 16550A

/proc/pci reports:
Bus  0, device  14, function  0:
    Communication controller: Lucent Microelectronics Venus Modem (V90, 
56KFlex) (rev 0).
      IRQ 11.
      Master Capable.  No bursts.  Min Gnt=252.Max Lat=14.
      Non-prefetchable 32 bit memory at 0xfedffc00 [0xfedffcff].
      I/O at 0xf400 [0xf4ff].
      I/O at 0xf800 [0xf8ff].
      I/O at 0xfce8 [0xfcef].
After nuking the disk, and reinstalling from CD, dmesg reports two uarts, 
ttyS00 at 0x03f8 (irq=4) and ttyS01 at port 0xf400 (irq = 11)
lsmod: 
Module                  Size  Used by
nls_iso8859-1           2880   1  (autoclean)
nls_cp437               4384   1  (autoclean)
vfat                    9008   1  (autoclean)
fat                    30592   0  (autoclean) [vfat]
autofs                  9152   1  (autoclean)
3c59x                  24352   1  (autoclean)
ipchains               29536   0  (unused)
usb-uhci               20208   0  (unused)
usbcore                48352   1  [usb-uhci]
Comment 3 Bugzilla owner 2004-09-30 11:39:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.